.. AUTO-GENERATED FILE. DO NOT EDIT. hardware-customers-get-one ========================== Source ------ - Repository: ``jef-systems/jef-hardware-backend`` - Source Run ID: ``25090515545`` - Source SHA: ``444376867c764658b4ed0286bc44ff0ac8c80995`` - Module: ``hardware`` - Documentation Scope: ``get`` - Lambda: ``jef-hardware-get-1`` Endpoint -------- - API Name: ``jef-hardware`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/hardware-customers-get-one`` - Complete Endpoint: ``https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-get-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-1`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-hardware-get-1 API Name: jef-hardware Action: get Method: GET Resource Path: /hardware-customers-get-one Table: - table: jef-hardware-customers - operation: get-one Payload Schema: - pk: customer_id Payload Example: - pk: 8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001 Response Schema: - exists: boolean - message: string - item: {"pk":"string","customer_id":"string","customer_name":"string","contact_number":"string","email":"string","address":"string","government_id_type":"string","government_id_number":"string","active":"boolean","updated_at":"string"} Request Payload --------------- .. code-block:: json { "pk": "customer_id" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"pk\":\"string\",\"customer_id\":\"string\",\"customer_name\":\"string\",\"contact_number\":\"string\",\"email\":\"string\",\"address\":\"string\",\"government_id_type\":\"string\",\"government_id_number\":\"string\",\"active\":\"boolean\",\"updated_at\":\"string\"}" } CMD curl -------- .. code-block:: text curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-get-one?pk=8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001" PowerShell curl --------------- .. code-block:: text curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-get-one?pk=8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001"